# AmazonDeleteEbsSnapshotsParameters Object

## Description

Parameters for the Amazon Delete EBS Snapshots action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deleteScheme

Delete scheme to use to determine the snapshots to delete or preserve.

Type: `string`

Valid Values:

* `none`
* `first-in-first-out`
* `grandfather-father-son`

### firstInFirstOutParameters

Parameters to use when using a first-in-first-out delete scheme. Required when `deleteScheme` is `first-in-first-out`.

Type: [FirstInFirstOutDeleteSchemeParameters](/data-types/firstinfirstoutdeleteschemeparameters-object.md) object

Required: Conditional

### grandfatherFatherSonParameters

Parameters to use when using a grandfather-father-son delete scheme. Required when `deleteScheme` is `grandfather-father-son`.

Type: [GrandfatherFatherSonDeleteSchemeParameters](/data-types/grandfatherfathersondeleteschemeparameters-object.md) object

Required: Conditional

### groupingMethod

Method in which to group snapshots when deleting.

Type: `string`

Valid Values:

* `none`
* `by-volume-id`
* `by-resource-tag`

Required: Yes

### groupingResourceTagName

Name of the resource tag to use to group snapshots. Required when `groupingMethod` is `by-resource-tag`.

Type: `string`

Required: Conditional

### isTest

Determines if "Test Mode" is enabled on the action. Snapshots will not be deleted when "Test Mode" is enabled.

Type: `boolean`

Required: No

Default Value: `false`

### snapshotDescriptionComparison

Comparison to use when matching snapshots by description. Required when `snapshotIdentificationMethod` is `by-description`.

Type: [EbsSnapshotDescriptionComparison](/data-types/ebssnapshotdescriptioncomparison-object.md) object

Required: Conditional

### snapshotIdentificationMethod

Method to use to identify snapshots to be deleted.

Type: `string`

Valid Values:

* `all-snapshots`
* `by-description`
* `by-snapshot-name-tag`
* `by-volume-id`
* `by-resource-tag`

Required: Yes

### snapshotNameTagComparison

Comparison to use when matching snapshots by their `Name` tag. Required when `snapshotIdentificationMethod` is `by-snapshot-name-tag`.

Type: [NameTagComparison](/data-types/nametagcomparison-object.md) object

Required: Conditional

### regionNames

Regions to use with the action. Omit (or specify `null`) to include "all regions".

Type: Array of `string`

Required: No

### reportFormat

Format of the final report. Required when `targetType` is `email`.

Type: `string`

Valid Values:

* `email`
* `email-html-attachment`
* `email-csv-attachment`

Required: Conditional

### resourceTagComparison

Comparison to use when identifying snapshots by resource tag. Required when `snapshotIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### targetEmails

The target email addresses to send the final report.

Type: array of `string`

Required: No

### targetType

Indicates whether a report should be generated with the execution results.

Type: `string`

Valid Values:

* `none`
* `email`

Required: No

Default: `none`

### volumeIdComparison

Comparison to use when matching snapshots by their source volume ID. Required when `snapshotIdentificationMethod` is `by-volume-id`.

Type: [EbsVolumeIdComparison](/data-types/ebsvolumeidcomparison-object.md) object

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1",
        "us-east-2"
    ],

    "snapshotIdentificationMethod": "by-resource-tag",
    "resourceTagComparison": {
        "tagName": "skeddly:retention",
        "compareType": "equals",
        "tagValue": "7"
    },

    "deleteScheme": "first-in-first-out",
    "firstInFirstOutParameters": {
        "olderThanDays": 30,
        "minimumToKeep": 2
    },

    "groupingMethod": "by-resource-tag",
    "groupingResourceTagName": "skeddly:volume-id",

    "targetType": "email",
    "targetEmails": [
        "foo@example.com"
    ],
    "ReportFormat": "email",

    "isTest": false
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazondeleteebssnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
